Subject: [OSPF] draft-ietf-ospf-ospfv3-lsa-extend-01

From: Alan Davey <[email-masked]>
Date: Mon, 7 Apr 2014 09:57:10 +0000

Folks

I have read draft-ietf-ospf-ospfv3-lsa-extend-01 and I think that it looks good.  I have a few comments, mostly minor.  Please let me know if you have any questions on the following.

_General Points_

The TLV types are defined with global scope.  Therefore, I think it is clearer to separate the TLV definitions from the LSA definitions.  It may be better to avoid defining limits on the TLV usage in sections defining the LSAs.

For an example of where it would be better to separate the TLV definitions, in section 11, OSPFv3 E-Intra-Area-Prefix-LSA, there is a reference to TLV type 6, which is defined in section 10, OSPFv3 E-Link-LSA.

For an example of defining limits in the TLV usage in LSA definitions, in section 4:

-          "0 - Reserved".  As the Type values are OSPFv3-global in scope, should the reserved value be defined in an overall section and not in the section defining the E-Router-LSA?

-          "The Router-Link TLV is only applicable to the E-Router-LSA.  Inclusion in other Extended LSAs MUST be ignored."  This is probably true, but seems too limiting.  Should the sections defining the LSAs state which TLVs are applicable to that LSA, only, and have a default statement that other TLV (and sub-TLV) types SHOULD be ignored?

Where multiple sub-TLVs are defined, for example, in section 8, OSPFv3 E-AS-External-LSA, there should be a statement that the sub-TLVs may be in any order.

_Minor Points, Typos, etc._

Section 1, para 2: s/OSPFv3 LSA/OSPFv3 LSAs/

Section 3, last sentence: "Unrecognized types are ignored."  Is there a better section to put this statement?  Section 3 is defining the TLV format and not any actions on processing them.

Section 4:

Should there be a statement that the E-Router-LSA can contain multiple Router-Link TLVs?  This is different to RFC 3630, where an LSA can only contain one top-level TLV and this should be made explicit.

Section 5, paragraph 3: s/her/the/?

Section 6, paragraph 2: s/Network-LSA/Inter-Area-Prefix-LSA/.

Section 8; I suggest NOT specifying the TLV lengths in the format diagrams; this seems too restrictive.

Section 12; paragraph 2, "will contain an additional options bits", s/bits/bit/?

Section 12.1, paragraph 1: s/ exteneded/extended/ and s/ MixedModeOrignateOnly/ MixedModeOriginateOnly/

Section 12.1, 1.; s/orginate/originate/.

Section 12.1.1, paragraph 1; s/In these are/In these areas/.

Appendix A, ExtendedLSASupport; s/The valid value/The valid values/

Regards
Alan

Network Technologies
Metaswitch Networks

[email-masked]<mailto:[email-masked]>
+44 (0) 20 8366 1177
network-technologies.metaswitch.com<http://network-technologies.metaswitch.com/>

---

From: Acee Lindem <[email-masked]>
Date: Fri, 18 Apr 2014 15:44:15 +0000

Hi Alan,
Thanks much for the thorough review!  I'm generally not a top-poster but in this case I've incorporated all your comments including reorganizing the draft to separate the TLV specifications from the Extended LSA specifications.
Thanks,
Acee

From: Alan Davey <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 7, 2014 2:57 AM
To: OSPF - OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [OSPF] draft-ietf-ospf-ospfv3-lsa-extend-01

Folks

_General Points_

-          “0 – Reserved”.  As the Type values are OSPFv3-global in scope, should the reserved value be defined in an overall section and not in the section defining the E-Router-LSA?

-          “The Router-Link TLV is only applicable to the E-Router-LSA.  Inclusion in other Extended LSAs MUST be ignored.”  This is probably true, but seems too limiting.  Should the sections defining the LSAs state which TLVs are applicable to that LSA, only, and have a default statement that other TLV (and sub-TLV) types SHOULD be ignored?

Section 3, last sentence: “Unrecognized types are ignored.”  Is there a better section to put this statement?  Section 3 is defining the TLV format and not any actions on processing them.

Section 4:

Section 12; paragraph 2, “will contain an additional options bits”, s/bits/bit/?

Regards
Alan

Network Technologies
Metaswitch Networks